org.apache.cxf.bus.extension

## Class Extension

- java.lang.Object
- - org.apache.cxf.bus.extension.Extension

- Direct Known Subclasses:
    CXFExtensionBundleListener.OSGiExtension

      public class Extension
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object[]` | `args`
    `protected ClassLoader` | `classloader`
    `protected String` | `className`
    `protected Class<?>` | `clazz`
    `protected boolean` | `deferred`
    `protected String` | `interfaceName`
    `protected Class<?>` | `intf`
    `protected static Logger` | `LOG`
    `protected Collection<String>` | `namespaces`
    `protected boolean` | `notFound`
    `protected Object` | `obj`
    `protected boolean` | `optional`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Extension()`
    `Extension(Class<?> cls)`
    `Extension(Class<?> cls, Class<?> inf)`
    `Extension(ClassLoader loader)`
    `Extension(Extension ext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Extension` | `cloneNoObject()`
    `String` | `getClassname()`
    `Class<?>` | `getClassObject(ClassLoader cl)`
    `String` | `getInterfaceName()`
    `Object` | `getLoadedObject()`
    `String` | `getName()`
    `Collection<String>` | `getNamespaces()`
    `boolean` | `isDeferred()`
    `boolean` | `isOptional()`
    `Object` | `load(ClassLoader cl, Bus b)`
    `Class<?>` | `loadInterface(ClassLoader cl)`
    `void` | `setArgs(Object[] a)`
    `void` | `setClassname(String i)`
    `void` | `setDeferred(boolean d)`
    `void` | `setInterfaceName(String i)`
    `void` | `setOptional(boolean b)`
    `String` | `toString()`
    `protected Class<?>` | `tryClass(String name, ClassLoader cl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          protected static final Logger LOG

    - #### className

          protected String className

    - #### classloader

          protected ClassLoader classloader

    - #### clazz

          protected volatile Class<?> clazz

    - #### intf

          protected volatile Class<?> intf

    - #### interfaceName

          protected String interfaceName

    - #### deferred

          protected boolean deferred

    - #### namespaces

          protected Collection<String> namespaces

    - #### args

          protected Object[] args

    - #### obj

          protected volatile Object obj

    - #### optional

          protected boolean optional

    - #### notFound

          protected boolean notFound

  - ### Constructor Detail

    - #### Extension

          public Extension()

    - #### Extension

          public Extension(Class<?> cls,
                           Class<?> inf)

    - #### Extension

          public Extension(Class<?> cls)

    - #### Extension

          public Extension(ClassLoader loader)

    - #### Extension

          public Extension(Extension ext)

  - ### Method Detail

    - #### setOptional

          public void setOptional(boolean b)

    - #### isOptional

          public boolean isOptional()

    - #### getName

          public String getName()

    - #### getLoadedObject

          public Object getLoadedObject()

    - #### cloneNoObject

          public Extension cloneNoObject()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getClassname

          public String getClassname()

    - #### setClassname

          public void setClassname(String i)

    - #### getInterfaceName

          public String getInterfaceName()

    - #### setInterfaceName

          public void setInterfaceName(String i)

    - #### isDeferred

          public boolean isDeferred()

    - #### setDeferred

          public void setDeferred(boolean d)

    - #### getNamespaces

          public Collection<String> getNamespaces()

    - #### setArgs

          public void setArgs(Object[] a)

    - #### tryClass

          protected Class<?> tryClass(String name,
                                      ClassLoader cl)

    - #### getClassObject

          public Class<?> getClassObject(ClassLoader cl)

    - #### load

          public Object load(ClassLoader cl,
                             Bus b)

    - #### loadInterface

          public Class<?> loadInterface(ClassLoader cl)

Apache CXF